%define framework kquickcharts
%define majver %(echo %version | cut -d. -f1-2)

Name:          kf6-kquickcharts
Version:       6.4.0
Release:       1mamba
Summary:       KDE Frameworks 6 QtQuick plugin providing high-performance charts
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://invent.kde.org/frameworks/kquickcharts
Source:        https://download.kde.org/%{stable_kf6}/frameworks/%{majver}/kquickcharts-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Frameworks 6 QtQuick plugin providing high-performance charts.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 6 QtQuick plugin providing high-performance charts

%description -n lib%{name}
KDE Frameworks 6 QtQuick plugin providing high-performance charts.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n %{framework}-%{version}

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libQuickCharts.so.*
%{_libdir}/libQuickChartsControls.so.*
%dir %{_kf6_qmldir}/org/kde/quickcharts
%{_kf6_qmldir}/org/kde/quickcharts/*
%{_datadir}/qlogging-categories6/kquickcharts.categories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/libQuickCharts.so
%{_libdir}/libQuickChartsControls.so
%dir %{_kf6_libdir}/cmake/KF6QuickCharts
%{_kf6_libdir}/cmake/KF6QuickCharts/KF6QuickCharts*.cmake

%changelog
* Fri Jul 12 2024 Automatic Build System <autodist@openmamba.org> 6.4.0-1mamba
- automatic version update by autodist

* Sat Jun 08 2024 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Sun May 12 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Thu Feb 29 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Fri Feb 02 2024 Automatic Build System <autodist@openmamba.org> 5.249.0-1mamba
- automatic version update by autodist

* Thu Jan 18 2024 Automatic Build System <autodist@mambasoft.it> 5.248.0-1mamba
- automatic version update by autodist

* Sat Jan 13 2024 Automatic Build System <autodist@openmamba.org> 5.114.0-1mamba
- automatic version update by autodist

* Mon Dec 18 2023 Automatic Build System <autodist@mambasoft.it> 5.113.0-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 5.112.0-1mamba
- automatic version update by autodist

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 5.111.0-1mamba
- automatic version update by autodist

* Sun Sep 10 2023 Automatic Build System <autodist@mambasoft.it> 5.110.0-1mamba
- automatic version update by autodist

* Fri Aug 18 2023 Automatic Build System <autodist@mambasoft.it> 5.109.0-1mamba
- automatic version update by autodist

* Sun Jul 09 2023 Automatic Build System <autodist@mambasoft.it> 5.108.0-1mamba
- automatic version update by autodist

* Mon Jun 12 2023 Automatic Build System <autodist@mambasoft.it> 5.107.0-1mamba
- automatic version update by autodist

* Sun May 14 2023 Automatic Build System <autodist@mambasoft.it> 5.106.0-1mamba
- automatic version update by autodist

* Sun Apr 09 2023 Automatic Build System <autodist@mambasoft.it> 5.105.0-1mamba
- automatic version update by autodist

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 5.104.0-1mamba
- automatic version update by autodist

* Sun Feb 12 2023 Automatic Build System <autodist@mambasoft.it> 5.103.0-1mamba
- automatic version update by autodist

* Mon Jan 16 2023 Automatic Build System <autodist@mambasoft.it> 5.102.0-1mamba
- automatic version update by autodist

* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 5.101.0-1mamba
- automatic version update by autodist

* Tue Nov 15 2022 Automatic Build System <autodist@mambasoft.it> 5.100.0-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 5.99.0-1mamba
- automatic version update by autodist

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 5.98.0-1mamba
- automatic version update by autodist

* Tue Aug 16 2022 Automatic Build System <autodist@mambasoft.it> 5.97.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 5.96.0-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Automatic Build System <autodist@mambasoft.it> 5.95.0-1mamba
- automatic version update by autodist

* Sun May 15 2022 Automatic Build System <autodist@mambasoft.it> 5.94.0-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 5.93.0-1mamba
- automatic version update by autodist

* Sun Mar 13 2022 Automatic Build System <autodist@mambasoft.it> 5.92.0-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Automatic Build System <autodist@mambasoft.it> 5.91.0-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 5.90.0-1mamba
- automatic version update by autodist

* Tue Dec 14 2021 Automatic Build System <autodist@mambasoft.it> 5.89.0-1mamba
- automatic version update by autodist

* Sat Nov 13 2021 Automatic Build System <autodist@mambasoft.it> 5.88.0-1mamba
- automatic version update by autodist

* Tue Oct 12 2021 Automatic Build System <autodist@mambasoft.it> 5.87.0-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 5.86.0-1mamba
- automatic version update by autodist

* Mon Aug 16 2021 Automatic Build System <autodist@mambasoft.it> 5.85.0-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 5.84.0-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Automatic Build System <autodist@mambasoft.it> 5.83.0-1mamba
- automatic version update by autodist

* Sun May 09 2021 Automatic Build System <autodist@mambasoft.it> 5.82.0-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 5.81.0-1mamba
- automatic version update by autodist

* Sun Mar 14 2021 Automatic Build System <autodist@mambasoft.it> 5.80.0-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 5.79.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 5.78.0-1mamba
- automatic version update by autodist

* Wed Dec 23 2020 Automatic Build System <autodist@mambasoft.it> 5.77.0-1mamba
- automatic version update by autodist

* Mon Nov 16 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Tue Oct 13 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Tue Sep 15 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Mon Aug 10 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Tue Jul 14 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Tue Jun 16 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Mon Feb 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.67.0-1mamba
- package created using the webbuild interface
